package cn.com.qmth.examcloud.task.service.impl;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.reports.api.StudentCountCloudService;
import cn.com.qmth.examcloud.core.reports.api.request.AddOrUpdateStudentCountReq;
import cn.com.qmth.examcloud.task.base.online.ActiveDataUtil;
import cn.com.qmth.examcloud.task.base.online.OnlineCount;
import cn.com.qmth.examcloud.task.service.StudentCountService;

@Service
public class StudentCountServiceImpl implements StudentCountService {
	@Autowired
	private StudentCountCloudService studentCountCloudService;

	@Override
	public void saveOnlieCount() {
		List<OnlineCount> ret=ActiveDataUtil.getUserCount(null);
		if(ret!=null) {
			AddOrUpdateStudentCountReq req=new AddOrUpdateStudentCountReq();
			Date now=new Date();
			req.setBatchTime(now.getTime());
			for(OnlineCount oc:ret) {
				req.setRootOrgId(oc.getRootOrgId());
				req.setOrgId(oc.getOrgId());
				req.setOnlineCount(oc.getOnlineCount());
				studentCountCloudService.addOrUpdateCount(req);
			}
		}
	}

}
